package com.chenyang.nse.bussiness.service.core.impl.encryption;

class AppUserOriginalVO {
   String username;
   String isOriginal = "0";
   String ismask = "0";

   public AppUserOriginalVO() {
   }

   public String getUsername() {
      return this.username;
   }

   public String getIsOriginal() {
      return this.isOriginal;
   }

   public String getIsmask() {
      return this.ismask;
   }

   public void setUsername(final String username) {
      this.username = username;
   }

   public void setIsOriginal(final String isOriginal) {
      this.isOriginal = isOriginal;
   }

   public void setIsmask(final String ismask) {
      this.ismask = ismask;
   }

   public boolean equals(final Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof AppUserOriginalVO)) {
         return false;
      } else {
         AppUserOriginalVO other = (AppUserOriginalVO)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$username = this.getUsername();
            Object other$username = other.getUsername();
            if (this$username == null) {
               if (other$username != null) {
                  return false;
               }
            } else if (!this$username.equals(other$username)) {
               return false;
            }

            Object this$isOriginal = this.getIsOriginal();
            Object other$isOriginal = other.getIsOriginal();
            if (this$isOriginal == null) {
               if (other$isOriginal != null) {
                  return false;
               }
            } else if (!this$isOriginal.equals(other$isOriginal)) {
               return false;
            }

            Object this$ismask = this.getIsmask();
            Object other$ismask = other.getIsmask();
            if (this$ismask == null) {
               if (other$ismask != null) {
                  return false;
               }
            } else if (!this$ismask.equals(other$ismask)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(final Object other) {
      return other instanceof AppUserOriginalVO;
   }

   public int hashCode() {
      int PRIME = 59;
      int result = 1;
      Object $username = this.getUsername();
      result = result * 59 + ($username == null ? 43 : $username.hashCode());
      Object $isOriginal = this.getIsOriginal();
      result = result * 59 + ($isOriginal == null ? 43 : $isOriginal.hashCode());
      Object $ismask = this.getIsmask();
      result = result * 59 + ($ismask == null ? 43 : $ismask.hashCode());
      return result;
   }

   public String toString() {
      return "AppUserOriginalVO(username=" + this.getUsername() + ", isOriginal=" + this.getIsOriginal() + ", ismask=" + this.getIsmask() + ")";
   }
}
